{% extends 'base.html.twig' %}

{% block title %}Project{% endblock %}

{% block body %}

    <div class="ui segment" style="margin-top: 30px;">
        <h2 class="ui header">
            <i class="settings icon"></i>
            <div class="content">
                Projet
                <div class="sub header">Informations du projet</div>
            </div>
        </h2>
        <div class="ui divider"></div>

        <ul class="show" style="list-style: none;">
            <li>
                <span class="title">Nom du projet : </span>
                <span>{{ project.name }}</span>
            </li>
            <li>
                <span class="title">Deadline : </span>
                <span>{{ project.deadline ? project.deadline|date('Y-m-d H:i:s') : '' }}</span>
            </li>
            <li>
                <span class="title">Descrption du projet : </span>
                <span>{{ project.description }}</span>
            </li>
            <li>
                {% for team in project.getTeam() %}
                    <a href="/team/{{ team.id }}" class="custom-button hoverable">{{ team.name }}</a>
                {% endfor %}
            </li>

            <li>
                <div style="display: flex;">
                    {% if is_granted('ROLE_ADMIN') %}
                        <a href="{{ path('project_edit', {'id': project.id}) }}" class="ui button green">Editer</a>
                        {{ include('project/_delete_form.html.twig') }}

                    {% endif %}
                    <a class="ui icon button" href="{{ path('project_index') }}">
                        <i class="sign out alternate icon"></i>
                    </a>
                </div>
            </li>
        </ul>
    </div>
{% endblock %}
